## org.eclipse.emf.common
Class EMFPlugin.InternalHelper

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin.InternalHelper

Enclosing class:
  EMFPlugin

    public static class EMFPlugin.InternalHelper

extends java.lang.Object

This just provides a common delegate for non-UI and UI plug-in classes. It is not considered API and should not be used by clients.

Field Summary
`protected Plugin` `plugin`
`protected java.util.ResourceBundle` `resourceBundle`
`protected java.util.ResourceBundle` `untranslatedResourceBundle`

Constructor Summary
`EMFPlugin.InternalHelper(Plugin plugin)`

Method Summary
`java.net.URL` `getBaseURL()`
`protected org.osgi.framework.Bundle` `getBundle()`
`java.lang.Object` `getImage(java.lang.String key)` Fetches the image associated with the given key.
`protected ILog` `getLog()`
`java.lang.String` `getString(java.lang.String key, boolean translate)`
`java.lang.String` `getString(java.lang.String key, java.lang.Object[] substitutions, boolean translate)`
`java.lang.String` `getSymbolicName()` Return the plugin ID.
`void` `log(java.lang.Object logEntry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plugin

    protected Plugin plugin

### resourceBundle

    protected java.util.ResourceBundle resourceBundle

### untranslatedResourceBundle

    protected java.util.ResourceBundle untranslatedResourceBundle

Constructor Detail

### EMFPlugin.InternalHelper

    public EMFPlugin.InternalHelper(Plugin plugin)

Method Detail

### getBundle

    protected org.osgi.framework.Bundle getBundle()

### getLog

    protected ILog getLog()

### getSymbolicName

    public java.lang.String getSymbolicName()

  Return the plugin ID.

### getBaseURL

    public java.net.URL getBaseURL()

### getImage

    public java.lang.Object getImage(java.lang.String key)
                              throws java.io.IOException

  Fetches the image associated with the given key. It ensures that the image exists.

  Parameters:
    `key` - the key of the image to fetch.
  Returns:
    the description of the image associated with the key.
  Throws:
    `java.io.IOException` - if an image doesn't exist.

### getString

    public java.lang.String getString(java.lang.String key,
                                      boolean translate)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object[] substitutions,
                                      boolean translate)

### log

    public void log(java.lang.Object logEntry)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.